/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(metadata_sink.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(6a250bdd921b3efedabd42aed97441c7)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satnogs/metadata_sink.h>
// pydoc.h is automatically generated in the build directory
#include <metadata_sink_pydoc.h>

void bind_metadata_sink(py::module& m)
{

    using metadata_sink = ::gr::satnogs::metadata_sink;


    py::class_<metadata_sink, gr::block, gr::basic_block, std::shared_ptr<metadata_sink>>(
        m, "metadata_sink", D(metadata_sink))

        .def(py::init(&metadata_sink::make),
             py::arg("meta"),
             py::arg("file"),
             D(metadata_sink, make))


        ;
}
